# gluon super node with docker

```
cd /vagrant_data
docker-compose up -d batman_network fastd_server dhcpd_v4 wireguard
```

```
cd /vagrant_data
docker-compose build
docker-compose up -t 0 -d batman_network fastd_server dhcpd_v4 wireguard
```

Docker logs retenation + ipv6 support

```
{
	"log-driver": "json-file",
	"log-opts": {
		"max-size": "1m",
		"max-file": "3"
	},
  "ipv6": true,
  "fixed-cidr-v6": "fcff:ffff:ffff:ffff::/64"
}
```

# vim: expandtab tabstop=2 shiftwidth=2
